GET api/negotiator/my/properties/{roleType}?pageSize={pageSize}&pageNumber={pageNumber}

Used for the Property Sales Dashboard to return a list of the negotiator's properties. Processes this negotiator API request. The parameter and response sections describe the data exchanged with the API.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
roleType

the PropertyMarketingRole type

string

Required

pageSize

how many properties to return (default 10)

integer

Default value is 10

pageNumber

which page number of results to choose

integer

Default value is 1

Body Parameters

None.

Response Information

Resource Description

The response returned after the operation completes.

PagedCollectionDataContractOfNegotiatorPropertyDataContract
NameDescriptionTypeAdditional information
TotalCount

The total count value.

integer

None.

CurrentCount

The current count value.

integer

None.

PageSize

The page size value.

integer

None.

PageNumber

The page number value.

integer

None.

Collection

The collection of collection.

Collection of NegotiatorPropertyDataContract

None.

Response Formats

application/json

Sample:

Sample not available.

text/json

Sample:

Sample not available.